﻿@model GarageMaster.Models.AdsSection.AdsModels.AdEditModel

@{
    ViewData["Title"] = "EditAd";
}

<h1>EditAd</h1>

<h4>AdEditModel</h4>
<hr />
<div class="row">
    <form asp-action="EditAd" method="post" enctype="multipart/form-data">
        <div class="col-md-5">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="AdCategoryId" class="control-label"></label>
                <select asp-for="AdCategoryId" class="form-control" asp-items="Model.AdCategoriesSelect">
                    <option></option>
                </select>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-10">
            <div class="form-group">
                <label asp-for="Content" class="control-label"></label>
                <textarea asp-for="Content" class="form-control" id="newAdCreate"></textarea>
                <span asp-validation-for="Content" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <label asp-for="Images" class="control-label"></label>
                <input asp-for="Images" type="file" multiple="multiple" accept="image/*" class="form-control" />
                <span asp-validation-for="Images" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <input type="hidden" asp-for="DateOfPublication" class="form-control" />
                <input type="hidden" asp-for="PickUpDate" class="form-control" />
                <input type="hidden" asp-for="UserId" class="form-control" />
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group form-check">
                <input class="form-check-input" type="checkbox" style="transform:scale(1.5);" asp-for="RemoveAllPhoto">
                <label class="form-check-label" asp-for="RemoveAllPhoto"></label>
                <span asp-validation-for="RemoveAllPhoto" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </div>
    </form>
</div>
<hr/>
<div>
    <a asp-area="" asp-controller="Ads" asp-action="DetailsAd" asp-route-id="@Model.Id">Back to DetailsAd</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script src="~/lib/ckeditor4-full/ckeditor.js"></script>
    <script>
        $(function () {
            CKEDITOR.replace('newAdCreate');
        });
    </script>
}
